Package org.eclipse.birt.core.framework.osgi

# Class OSGIPolicy

java.lang.Object
java.security.Policy
org.eclipse.birt.core.framework.osgi.OSGIPolicy

public class OSGIPolicy extends Policy

## Nested Class Summary

## Nested classes/interfaces inherited from class java.security.Policy

`Policy.Parameters`

## Field Summary

### Fields inherited from class java.security.Policy

`UNSUPPORTED_EMPTY_COLLECTION`

## Method Summary

Modifier and Type
Method
Description
`PermissionCollection`
`getPermissions(CodeSource codesource)`
`PermissionCollection`
`getPermissions(ProtectionDomain domain)`
`boolean`
`implies(ProtectionDomain domain, Permission permission)`
`void`
`refresh()`

### Methods inherited from class java.security.Policy

`getInstance, getInstance, getInstance, getParameters, getPolicy, getProvider, getType, setPolicy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPermissions

public PermissionCollection getPermissions(CodeSource codesource)

Overrides:
  `getPermissions` in class `Policy`

### getPermissions

public PermissionCollection getPermissions(ProtectionDomain domain)

Overrides:
  `getPermissions` in class `Policy`

### implies

public boolean implies(ProtectionDomain domain, Permission permission)

Overrides:
  `implies` in class `Policy`

### refresh

public void refresh()

Overrides:
  `refresh` in class `Policy`